<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:21 CEST 2020 -->
<title>S-Index</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../com/app/beans/Show.html" title="class in com.app.beans"><span class="typeNameLink">Show</span></a> - Class in <a href="../com/app/beans/package-summary.html">com.app.beans</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Show.html#Show-java.lang.Integer-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">Show(Integer, String, String, String, String)</a></span> - Constructor for class com.app.beans.<a href="../com/app/beans/Show.html" title="class in com.app.beans">Show</a></dt>
<dd>
<div class="block">Parameterised constructor for creating Show object</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/service/ShowRenderingService.html#showBasedOnMoodService-java.lang.String-java.lang.String-">showBasedOnMoodService(String, String)</a></span> - Method in class com.app.service.<a href="../com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a></dt>
<dd>
<div class="block">Method that redirects to method which gets personalised shows for the user.</div>
</dd>
<dt><a href="../com/app/servlet/ShowBasedOnMoodServlet.html" title="class in com.app.servlet"><span class="typeNameLink">ShowBasedOnMoodServlet</span></a> - Class in <a href="../com/app/servlet/package-summary.html">com.app.servlet</a></dt>
<dd>
<div class="block">ShowBasedOnMoodServlet is a class that redirects the request to the showPersonalizedList page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/servlet/ShowBasedOnMoodServlet.html#ShowBasedOnMoodServlet--">ShowBasedOnMoodServlet()</a></span> - Constructor for class com.app.servlet.<a href="../com/app/servlet/ShowBasedOnMoodServlet.html" title="class in com.app.servlet">ShowBasedOnMoodServlet</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Show.html#showId">showId</a></span> - Variable in class com.app.beans.<a href="../com/app/beans/Show.html" title="class in com.app.beans">Show</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/app/servlet/ShowPersonalisedListServlet.html" title="class in com.app.servlet"><span class="typeNameLink">ShowPersonalisedListServlet</span></a> - Class in <a href="../com/app/servlet/package-summary.html">com.app.servlet</a></dt>
<dd>
<div class="block">ShowPersonalisedListServlet is a class that redirects the request to the showPersonalizedList page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/servlet/ShowPersonalisedListServlet.html#ShowPersonalisedListServlet--">ShowPersonalisedListServlet()</a></span> - Constructor for class com.app.servlet.<a href="../com/app/servlet/ShowPersonalisedListServlet.html" title="class in com.app.servlet">ShowPersonalisedListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Show.html#ShowRatingComparator">ShowRatingComparator</a></span> - Static variable in class com.app.beans.<a href="../com/app/beans/Show.html" title="class in com.app.beans">Show</a></dt>
<dd>
<div class="block">Method used for sorting shows based on their ID.</div>
</dd>
<dt><a href="../com/app/service/ShowRenderingService.html" title="class in com.app.service"><span class="typeNameLink">ShowRenderingService</span></a> - Class in <a href="../com/app/service/package-summary.html">com.app.service</a></dt>
<dd>
<div class="block">ShowRenderingService is a class that deals with business logic and appropriately redirects to the database methods.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/service/ShowRenderingService.html#ShowRenderingService--">ShowRenderingService()</a></span> - Constructor for class com.app.service.<a href="../com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/utils/HibernateUtil.html#shutdown--">shutdown()</a></span> - Static method in class com.app.utils.<a href="../com/app/utils/HibernateUtil.html" title="class in com.app.utils">HibernateUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/Link.html#swapValidity--">swapValidity()</a></span> - Method in class com.app.beans.<a href="../com/app/beans/Link.html" title="class in com.app.beans">Link</a></dt>
<dd>
<div class="block">Method in which validity is changed to opposite for example from true to
 false and vice versa</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
